function Create(self)
print "Main Battle Platform Initialized";
	self.ToVel = Vector(0,0);
	self.jetOn = true;
	self.FloatHeight = 111;
	self.maxspeed = 5;
	self.minspeed = .25;
	self.stabilization = 1;
end

function Update(self)
	local ownController = self:GetController(); if self.Health < 0 then self.jetOn = false; end

-- BEGIN MANUAL CONTROL SYSTEM --
	if self.jetOn then
		if ownController:IsState(Controller.HOLD_LEFT) then
			self.ToVel.X = self.ToVel.X - 0.2;
		elseif ownController:IsState(Controller.HOLD_RIGHT) then
			self.ToVel.X = self.ToVel.X + 0.2;
		elseif not ownController:IsState(Controller.HOLD_LEFT) and not ownController:IsState(Controller.HOLD_RIGHT) then
			self.ToVel.X = self.ToVel.X / 1.02;  if math.abs(self.ToVel.X) < self.minspeed then self.ToVel.X = 0; end
		end
		if ownController:IsState(Controller.HOLD_DOWN) then
			self.ToVel.Y = self.ToVel.Y + 0.25;
		elseif ownController:IsState(Controller.HOLD_UP) then
			self.ToVel.Y = self.ToVel.Y - 0.5;
		elseif not ownController:IsState(Controller.HOLD_UP) and not ownController:IsState(Controller.HOLD_DOWN) then
			self.ToVel.Y = self.ToVel.Y / 1.02;  if math.abs(self.ToVel.Y) < self.minspeed then self.ToVel.Y = 0; end
		end
		-- speed limiters
		if self.ToVel.X > self.maxspeed then
			self.ToVel.X = self.maxspeed;
		elseif self.ToVel.X < -1*self.maxspeed then
			self.ToVel.X = -1*self.maxspeed;
		end
		if self.ToVel.Y > self.maxspeed then
			self.ToVel.Y = self.maxspeed;
		elseif self.ToVel.Y < -1*self.maxspeed then
			self.ToVel.Y = -1*self.maxspeed;
		end
	end
-- END MANUAL CONTROL SYSTEM --



-- BEGIN AUTOMATIC SYSTEM CONTROLS -- 
	-- attempt to keep the ship from crashing
	self.Altitude = self:GetAltitude(400,1); if self.Altitude < self.FloatHeight then self.ToVel.Y = self.ToVel.Y /2 ; self.ToVel.Y = self.ToVel.Y - (self.FloatHeight - self.Altitude)/10; end
	





	if self.stabilization then self.RotAngle = 0; end
-- END AUTOMATIC SYSTEM CONTROLS -- 


	-- send the current velocity variables to the engine now yay
	self.Vel.X = self.ToVel.X;
	self.Vel.Y = self.ToVel.Y;
end
function Destroy(self)
	print "Main Battle Platform Destroyed";
end