function Create(self)
	print "Constant Emitter.lua @ Create(self) Running";
	self.firetime = Timer();
	self.firerate = 10;		-- pretty self-explanatory. time between shots.
	self.maxtime = 4;		-- this is the lifetime of the particle, how long it is active
	self.maxrange = 4000;		-- roughly the max range of the mortar, or something.
	self.weaponname = "Arc Beam";
	local curdist = 50;
	for i = 1,MovableMan:GetMOIDCount()-1 do
		local gun = MovableMan:GetMOFromID(i);
		if gun.PresetName == self.weaponname and (gun.Pos-self.Pos).Magnitude < curdist then
		-- and gun.ClassName == "HDFirearm"
			local actor = MovableMan:GetMOFromID(gun.RootID);
			if MovableMan:IsActor(actor) then
				self.parent = ToActor(actor);
				self.parentgun = ToHDFirearm(gun);
			end
		end
	end
end
-------------------------------------------------------------------------
function Update(self)
	print "Constant Emitter.lua @ Update(self) Running";
	local Age = self.Age /1000;
	print ("Age = " .. Age);
	local targetpaintergood = CreateAEmitter("Target Painter Good");
	local beamparticle = CreateMOPixel("Arcing Energy Particle");
	self.angle = self.parent:GetAimAngle(true);

	local checkVect = Vector(0,0);
	local TargetPoint = Vector(0,0);
	local lastPoint = Vector(0,0);
	local dist = 0;
	checkVect.X = math.cos(self.angle) * self.maxrange;
	checkVect.Y = math.sin(self.angle) * self.maxrange * -1;
	dist = SceneMan:CastObstacleRay(self.Pos, checkVect, TargetPoint, lastPoint, self.parentgun.ID, -1, 0);
	if dist >= 0 then
		local DotTarget = CreateMOPixel("Targeting Laser Dot");
		DotTarget.Pos = TargetPoint;
		MovableMan:AddParticle(DotTarget);
	end
-------------------------------------------------------------------------
	if MovableMan:IsDevice(self.parentgun) == true then -- First layer of safety, make sure the device is attached to something.
		print "Weapon Dropped, Abandon";
		self.ToDelete = true;
	elseif Age > self.maxtime then -- Second layer of safety, make sure it's not too old
		print "Max Time limit Reached";
		self.ToDelete = true;
	elseif MovableMan:IsActor(self.parent) == false then -- Third layer, make sure the actor is alive (overlaps with dropped)
		print "User Has Died";
		self.ToDelete = true;
	else -- Presumably there are no other issues... Might need to do something for if the gun is simply not on screen.
		self.tofire = true;
		print "Passes All Checks";
	end
-------------------------------------------------------------------------
	if self.tofire == true then
		self.tofire = false;
		self.Pos = Vector(self.parentgun.MuzzlePos.X + 5*math.cos(self.angle), self.parentgun.MuzzlePos.Y + 5*math.sin(self.angle));
		if self.firetime:IsPastSimMS(self.firerate) == true then
			self.timeleft = self.maxtime - Age;
			print ("Time left = " .. self.timeleft);
			if self.timeleft <= 0 then
				self.ToDelete = true;
				print "BUGCATCH GO";
			else
				local pmax = 50; 				--max shot velocity
				local gacc = 1; 				--acceleration due to gravity in CC
				local mdur = 2 * pmax / gacc;	--max duration. (make sure gun reload time is longer than this)
				local tarx = TargetPoint.X - self.Pos.X;
				local tary = TargetPoint.Y - self.Pos.Y;
				--targetpaintergood.Pos = TargetPoint;
				--print "spawn target painter";
				--local painter = targetpaintergood;
				--MovableMan:AddParticle(painter);
				print "do range test thing";
				
				
				local range = pmax^4 - (gacc^2)*(tarx^2) - (2*gacc*pmax^2*tary);
				if range > 0 then
					print "in range";
					if self.timeleft > 0 then
						print "time > 0, begin firing math";
						local maxt = math.sqrt(2)*math.sqrt((pmax^2 + math.sqrt(range) - gacc*tary) /gacc^2); --max time
						local mint = math.sqrt(2)*math.sqrt((pmax^2 - math.sqrt(range) - gacc*tary) /gacc^2); --min time
						print ("timeleft = ".. self.timeleft);
						print ("MaxT = ".. maxt);
						print ("MinT = ".. mint);
						if self.timeleft < maxt and self.timeleft > mint then
							beamparticle.Vel = Vector(tarx/self.timeleft, tary/self.timeleft + gacc*self.timeleft/2);
							beamparticle.Pos = self.Pos;
							print "firing math complete, spawn beam particle";
							MovableMan:AddParticle(beamparticle);
							self.firetime:Reset();
						else
						print "self.timeleft < maxt or self.timeleft >mint";
						end
					end
				else
					print "out of range, target invalid";
				end
			end
		end
	end
end
-------------------------------------------------------------------------
function Destroy(self)
	print "Constant Emitter.lua @ Destroy(self) Running";
end