function Create(self)
	self.userRange = 20;
	self.laserRange = 1200;
	self.hitVel = 100;
	local checkVect = Vector(0,0);
	checkVect.X = math.cos(self.RotAngle) * self.userRange * -1;
	checkVect.Y = math.sin(self.RotAngle) * self.userRange;
	local userID = SceneMan:CastMORay(self.Pos, checkVect, -1, -1, false, 0);
	local baseUserID = -1;
	if userID ~= 255 then
		baseUserID = MovableMan:GetRootMOID(userID);
	end
	
	checkVect.X = math.cos(self.RotAngle) * self.laserRange;
	checkVect.Y = math.sin(self.RotAngle) * self.laserRange * -1;
	self.length = SceneMan:CastObstacleRay(self.Pos, checkVect, Vector(0,0), Vector(0,0), baseUserID, -1, 0);

	--self.length = SceneMan:CastObstacleRay(self.Pos, self.Vel * 150, Vector(0, 0), Vector(0, 0), self.ID, 0, 1);
	--print(self.length);
	local velCorrection = self.Vel * (FrameMan.PPM * TimerMan.DeltaTimeSecs);
	local trueLength = self.length + velCorrection.Magnitude;
	local iters = (math.ceil(trueLength)/4);
	local initPos = self.Pos - velCorrection;
	local increment = (trueLength / iters);
	for i=0,iters,1 do
		particle = CreateAEmitter("Beam Particle");
		particle.Pos = initPos + (self.Vel.Normalized * (i * increment));
		particle.Vel = Vector(0,0);
		MovableMan:AddMO(particle);
	end
	
--	for i=0,10,1 do
--		particle.Pos = initPos + (self.Vel.Normalized * (trueLength - 2 * increment));
--		particle.Vel = self.Vel;
--		MovableMan:AddMO(particle);
--	end
	
	self.particle = CreateAEmitter("Beam Rifle Explosion");
	self.particle.Pos = initPos + (self.Vel.Normalized * trueLength);
	self.particle.Vel = Vector(math.cos(self.RotAngle) * self.hitVel, math.sin(self.RotAngle) * self.hitVel * -1);
	MovableMan:AddMO(self.particle);	
--	print "bang!";
	self.ToDelete = true;
end