function Create(self)
	print "Orbital Platform Deployed";
	self.Vel = Vector(0,0);
	self.firetime = Timer();
	self.firerate = 50;
	self.laserRange = 9001; -- OVER NINE THOUSAND
	self.hitVel = 100;
	self.AimAngle = 4.712; -- AIM DOWN
	self.lifetime = 5000;
	self.clicktimer = Timer();
	self.tofire = true;
	self.mode = 0;
	if self.PresetName == "Mining Ship" then 
		self.mode = 1;
		self.tofire = false;
	else
		self.mode = 0;	
	end
end

function Update(self)
	if self:GetController():IsState(Controller.WEAPON_FIRE) and self.clicktimer:IsPastRealMS(700) and self.mode == 1 then
		if self.tofire == true then
			print "toggle to false";
			self.tofire = false;
			self.clicktimer:Reset();
		else
			print "toggle to true";
			self.tofire = true;
			self.clicktimer:Reset();
		end
	end
	if self.tofire == true and self.firetime:IsPastSimMS(self.firerate) == true then
		local checkVect = Vector(0,0);
		checkVect.X = math.cos(self.AimAngle) * self.laserRange;
		checkVect.Y = math.sin(self.AimAngle) * self.laserRange * -1;
		self.length = SceneMan:CastObstacleRay(self.Pos, checkVect, Vector(0,0), Vector(0,0), self.ID, -1, 3);
		if self.length > -1 then
			self.particle = CreateAEmitter("Orbital Weapon","Smart Mortar.rte");
			self.particle.Pos.X = self.Pos.X;
			self.particle.Pos.Y = self.Pos.Y + self.length;
			self.particle.Vel = Vector(math.cos(self.AimAngle) * self.hitVel, math.sin(self.AimAngle) * self.hitVel * -1);
			MovableMan:AddMO(self.particle);
			--print (self.length); Good for seeing how far it went
		end
		self.firetime:Reset();
	end
	if self.mode == 0 and self.Age > self.lifetime then
		ActivityMan:GetActivity():ReportDeath(self.Team, -1);
		self.ToDelete = true
	end
end